# -*- coding: utf-8 -*-
from osv import fields, osv

class Theme(osv.osv):
    _name = 'bikecoop.partner.theme'
    _description = 'Themes that could be related to a partner'

    _columns = {
        'code': fields.char('Code', size=8, help='Code of the occupation'),
        'name': fields.char('Name', size=128, help='Name of the job or studies', required=True, translate=True),
        'domain': fields.selection([('gender', 'Gender'), ('occupation', 'Occupation'), ('volunteer', 'Volunteer')], 'Domain', required=True, size=24),
        'active': fields.boolean('Active', help='If check, this object is always available'),
    }

    _defaults = {
        'active': lambda *a: 1,
    }

Theme()


class Partner(osv.osv):
    _inherit = 'res.partner'

    _columns = {
        'associate_members': fields.one2many('res.partner', 'associate_member', 'Associate members', help='Members who are associated to this partner.'),
        'nationality_id': fields.many2one('res.country', 'Nationality', help='Partner\'s nationality if he is a person'),
        'occupation_id': fields.many2one('bikecoop.partner.theme', 'Occupation', help='Main occupation of this partner'),
        'volunteer_ids': fields.many2many('bikecoop.partner.theme', 'res_partner_bikecoop_theme_rel', 'partner_id', 'theme_id', 'Want to be volunteer?', help='What kind of volunteer activities you want to do with us?'),
        'gender_id': fields.many2one('bikecoop.partner.theme', 'Gender'),
    }

Partner()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
